Subject: Re: bug#62535: 29.0.60; Wrong left, top values stored in .emacs.desktop file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Mar 2023 21:15:30 +0300

> Date: Thu, 30 Mar 2023 20:11:12 +0200
> Cc: [email-masked]
> From: Claudio Grondi <[email-masked]>
> 
> 
> Installed Emacs 27.1 lucid version. It hasn't shown the described 
> problem and I have had the impression that the graphics comes up faster.
> 
> Then I have compiled Emacs 29.0.60 with lucid instead of gtk and was not 
> able to reproduce the bug either.
> 
> I think I will stay with the lucid version.
> I have been biased towards gtk because of python tkinter gui toolkit I 
> have been already familiar with.
> 
> The drift left and up ... seem to happen during the initialization 
> process of Emacs.
> I am not 100% sure, but I have had the impression that there was an 
> extremely short period of time where the window was at the right place 
> and then moved a bit. Finally on exit Emacs saves then the changed 
> position. In other words the problem appears to be repositioning the 
> window while processing the .desktop and/or the other the initialization 
> files.
> 
> If you can't reproduce this behavior from the .emacs.desktop file ... 
> the reason for it will remain maybe a strange mystery (until it pops up 
> again in another context in future Emacs versions).

Thanks.  Let's wait for someone else to chime in, if they have some
relevant info or comments.